### Hierarchy

- ProcessEnvOptions
  - CommonOptions
    - SpawnOptions
    - ExecOptions
    - ExecFileOptions
    - SpawnSyncOptions
    - ExecSyncOptions
    - ExecFileSyncOptions

## Index

### Properties

- cwd
- env
- gid
- timeout
- uid
- windowsHide

## Properties

### Optional cwd

cwd: undefined | string

Inherited from ProcessEnvOptions.cwd

- Defined in node_modules/@types/node/child_process.d.ts:90

### Optional env

env: ProcessEnv

Inherited from ProcessEnvOptions.env

- Defined in node_modules/@types/node/child_process.d.ts:91

### Optional gid

gid: undefined | number

Inherited from ProcessEnvOptions.gid

- Defined in node_modules/@types/node/child_process.d.ts:89

### Optional timeout

timeout: undefined | number

- Defined in node_modules/@types/node/child_process.d.ts:102

default

  0

### Optional uid

uid: undefined | number

Inherited from ProcessEnvOptions.uid

- Defined in node_modules/@types/node/child_process.d.ts:88

### Optional windowsHide

windowsHide: undefined | false | true

- Defined in node_modules/@types/node/child_process.d.ts:98

default

  true

Generated using TypeDoc